<?php

use App\Http\Controllers\AskController;
use App\Http\Controllers\BusinessController;
use App\Http\Controllers\HomeController;
use App\Http\Controllers\ListingController;
use App\Http\Controllers\PageController;
use Illuminate\Support\Facades\Route;

Route::get('/', [HomeController::class, 'index'])->name('home');

Route::get('/listing', [ListingController::class, 'index'])->name('listing');

Route::get('/business/{business}', [BusinessController::class, 'show'])->name('business.show');
Route::get('/add_business', [BusinessController::class, 'create'])->name('business.create');
Route::post('/add_business', [BusinessController::class, 'store'])->name('business.store');

Route::post('/ask', [AskController::class, 'ask'])->name('ask');

Route::get('/how_it_works', [PageController::class, 'howItWorks'])->name('how-it-works');
Route::get('/faq', [PageController::class, 'faq'])->name('faq');
Route::get('/contact', [PageController::class, 'contact'])->name('contact');
